Package org.drinkless.tdlib

# Class TdApi.GiftAuctionAcquiredGift

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.GiftAuctionAcquiredGift

Enclosing class:
  `TdApi`

public static class TdApi.GiftAuctionAcquiredGift extends TdApi.Object
Represents a gift that was acquired by the current user on an auction.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `auctionRoundNumber`
  Identifier of the auction round in which the gift was acquired.
  `int`
  `auctionRoundPosition`
  Position of the user in the round among all auction participants.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `date`
  Point in time (Unix timestamp) when the gift was acquired.
  `boolean`
  `isPrivate`
  True, if the sender and gift text are shown only to the gift receiver; otherwise, everyone will be able to see them.
  `TdApi.MessageSender`
  `receiverId`
  Receiver of the gift.
  `long`
  `starCount`
  The number of Telegram Stars that were paid for the gift.
  `TdApi.FormattedText`
  `text`
  Message added to the gift.
  `int`
  `uniqueGiftNumber`
  Unique number of the gift among gifts upgraded from the same gift after upgrade; 0 if yet unassigned.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GiftAuctionAcquiredGift()`
  Represents a gift that was acquired by the current user on an auction.
  `GiftAuctionAcquiredGift(TdApi.MessageSender receiverId, int date, long starCount, int auctionRoundNumber, int auctionRoundPosition, int uniqueGiftNumber, TdApi.FormattedText text, boolean isPrivate)`
  Represents a gift that was acquired by the current user on an auction.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### receiverId

    public TdApi.MessageSender receiverId
    Receiver of the gift.

  - ### date

    public int date
    Point in time (Unix timestamp) when the gift was acquired.

  - ### starCount

    public long starCount
    The number of Telegram Stars that were paid for the gift.

  - ### auctionRoundNumber

    public int auctionRoundNumber
    Identifier of the auction round in which the gift was acquired.

  - ### auctionRoundPosition

    public int auctionRoundPosition
    Position of the user in the round among all auction participants.

  - ### uniqueGiftNumber

    public int uniqueGiftNumber
    Unique number of the gift among gifts upgraded from the same gift after upgrade; 0 if yet unassigned.

  - ### text

    public TdApi.FormattedText text
    Message added to the gift.

  - ### isPrivate

    public boolean isPrivate
    True, if the sender and gift text are shown only to the gift receiver; otherwise, everyone will be able to see them.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GiftAuctionAcquiredGift

    public GiftAuctionAcquiredGift()
    Represents a gift that was acquired by the current user on an auction.

  - ### GiftAuctionAcquiredGift

    public GiftAuctionAcquiredGift(TdApi.MessageSender receiverId, int date, long starCount, int auctionRoundNumber, int auctionRoundPosition, int uniqueGiftNumber, TdApi.FormattedText text, boolean isPrivate)
    Represents a gift that was acquired by the current user on an auction.
    Parameters:
      `receiverId` - Receiver of the gift.
      `date` - Point in time (Unix timestamp) when the gift was acquired.
      `starCount` - The number of Telegram Stars that were paid for the gift.
      `auctionRoundNumber` - Identifier of the auction round in which the gift was acquired.
      `auctionRoundPosition` - Position of the user in the round among all auction participants.
      `uniqueGiftNumber` - Unique number of the gift among gifts upgraded from the same gift after upgrade; 0 if yet unassigned.
      `text` - Message added to the gift.
      `isPrivate` - True, if the sender and gift text are shown only to the gift receiver; otherwise, everyone will be able to see them.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR